Python 3.13.7 (tags/v3.13.7:bcee1c3, Aug 14 2025, 14:15:11) [MSC v.1944 64 bit (AMD64)] on win32
Enter "help" below or click "Help" above for more information.
stroka='Автоматизированная система управления'
stroka
'Автоматизированная система управления'
fff=234.5;gg='Значение температуры = '
print(gg, fff)   #Можно вывести несколько объектов за одно обращение к функции
Значение температуры =  234.5
print(gg, fff, sep='/')
Значение температуры = /234.5
print(gg, fff,sep='/',end='***'); print('____')
Значение температуры = /234.5***____
print()

print(""" Здесь может выводиться
большой текст,
занимающий несколько строк""")
 Здесь может выводиться
большой текст,
занимающий несколько строк
print("Здесь может выводиться",
      "большой текст,",
      "занимающий несколько строк")

Здесь может выводиться большой текст, занимающий несколько строк
import sys
sys.stdout.write('Функция write')
Функция write13
sys.stdout.write('Функция write\n')
Функция write
14
psw=input('Введите пароль:')
Введите пароль:12g
psw
'12g'
while True:
	znach=float(input('Задайте коэф.усиления = '))
	if znach<17.5 or znach>23.8:
		print('Ошибка!')
	else:
		break

	    
Задайте коэф.усиления = 17.5
while True:
	znach=float(input('Задайте коэф.усиления = '))
	if znach<17.5 or znach>23.8:
		print('Ошибка!')
	else:
		break

	    
Задайте коэф.усиления = 15.4
Ошибка!
Задайте коэф.усиления = 21.6
import math
print(eval(input('введите выражение для расчета = ')))
введите выражение для расчета = math.log10(23/(1+math.exp(-3.24)))
1.34504378689765
os.getcwd()
Traceback (most recent call last):
  File "<pyshell#20>", line 1, in <module>
    os.getcwd()
NameError: name 'os' is not defined. Did you forget to import 'os'?
import 'os'
SyntaxError: invalid syntax
import os
os.getcwd()
'C:\\Users\\User-PC\\AppData\\Local\\Programs\\Python\\Python313'
os.chdir('C:\Users\User-PC\python-labs\TEMA6')
SyntaxError: (unicode error) 'unicodeescape' codec can't decode bytes in position 2-3: truncated \UXXXXXXXX escape
os.chdir('C:/Users/User-PC/python-labs/TEMA6')
os.getcwd()
'C:\\Users\\User-PC\\python-labs\\TEMA6'
snegura = str(os.getcwd())
snegura
'C:\\Users\\User-PC\\python-labs\\TEMA6'
os.chdir('C:\\Users\\User-PC\\AppData\\Local\\Programs\\Python\\Python313')
snegura = str(os.getcwd())
snegura
'C:\\Users\\User-PC\\AppData\\Local\\Programs\\Python\\Python313'
os.chdir('C:/Users/User-PC/python-labs/TEMA6')
os.mkdir("папка новая")
os.rmdir("папка новая")
os.mkdir("папка новая")
os.rmdir("папка новая")
os.listdir()
['.gitkeep', 'repor.py', 'report.md', 'report.py', '{2CA98D5E-ED50-4F53-8FA4-B86C3DDE9001}.png']
os.path.isdir("папка новая")
False
os.path.isdir("report.md")
False
fil=os.path.abspath("report.md")
fil
'C:\\Users\\User-PC\\python-labs\\TEMA6\\report.md'
drkt=os.path.dirname(fil)
drkt
'C:\\Users\\User-PC\\python-labs\\TEMA6'
name = os.path.basename(fil)
name
'report.md'
head, tail = os.path.split(fil)
head
'C:\\Users\\User-PC\\python-labs\\TEMA6'
tail
'report.md'
os.path.exists('C:\\Users\\User-PC\\python-labs\\TEMA6')
True
os.path.exists('C:\\Users\\User-PC\\python-labs\\TEMA60')
False
os.path.isfile(fil)
True
open
<built-in function open>
help(open)

fp=open(file=drkt+'\\zapis1.txt',mode='w')
fp=open(drkt+'\\zapis1.txt','w')
fp=open('zapis1.txt','w')
type(fp)
<class '_io.TextIOWrapper'>
fp1=open(drkt+'\\zapis2.bin',mode='wb+')
fp.close()
fp1.close()
sps=list(range(1,13))
sps
[1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12]
fp2=open('zapis3.txt','w')
fp2.write(str(sps[:4])+'\n')
13
fp2.write(str(sps[4:8])+'\n')
13
fp2.write(str(sps[8:])+'\n')
16
fp2.close()
sps3=[['Иванов И.',1],['Петров П.',2],['Сидоров С.',3]]
fp3=open('zapis4.txt','w')
for i in range(len(sps3)):
    stroka4=sps3[i][0]+' '+str(sps3[i][1])
    fp3.write(stroka4)

11
11
12
fp3.close()
gh=open('zapis5.txt','w')
for r in sps3:
    gh.write(r[0]+' '+str(r[1])+'\n')
 
gh.close()
SyntaxError: multiple statements found while compiling a single statement
gh=open('zapis5.txt','w')
for r in sps3:
    gh.write(r[0]+' '+str(r[1])+'\n')
gh.close()
SyntaxError: invalid syntax
for r in sps3:
    gh.write(r[0]+' '+str(r[1])+'\n')

    
12
12
13
gh.close()
gh=open('zapis6.txt','w')
for r in sps3: gh.write(r[0]+' '+str(r[1])+'\n')

12
12
13
gh.close()
sps1=[]
fp=open('zapis3.txt')
for stroka in fp:
    stroka=stroka.rstrip('\n')
    stroka=stroka.replace('[','')
    stroka=stroka.replace(']','')
    sps1=sps1+stroka.split(',')

    
fp.close()
sps
[1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12]
sps1
['1', ' 2', ' 3', ' 4', '5', ' 6', ' 7', ' 8', '9', ' 10', ' 11', ' 12']
fp=open('zapis3.txt')
stroka1=fp.read(12)
stroka2=fp.read()
fp.close()
stroka1
'[1, 2, 3, 4]'
stroka2
'\n[5, 6, 7, 8]\n[9, 10, 11, 12]\n'
import pickle
mnoz1={'pen','book','pen','iPhone','table','book'}  #Объект типа «множество»
fp=open('zapis6.mnz','wb')  # Бинарный файл – на запись
pickle.dump(mnoz1,fp)  #dump – метод записи объекта в файл
fp.close()
fp=open('zapis6.mnz','rb')
mnoz2=pickle.load(fp)  #load – метод чтения объекта из бинарного файла
fp.close()
mnoz1
{'pen', 'book', 'iPhone', 'table'}
mnoz2
{'pen', 'book', 'iPhone', 'table'}
fp=open('zapis7.2ob','wb')
pickle.dump(mnoz1,fp)
pickle.dump(sps3,fp)
fp.close()
fp=open('zapis7.2ob','rb')
obj1=pickle.load(fp)  #Первое обращение к load читает первый объект
obj2=pickle.load(fp)  #Второе – читает второй
fp.close()
obj1
{'pen', 'book', 'iPhone', 'table'}
obj2
[['Иванов И.', 1], ['Петров П.', 2], ['Сидоров С.', 3]]
mnoz1
{'pen', 'book', 'iPhone', 'table'}
sps3
[['Иванов И.', 1], ['Петров П.', 2], ['Сидоров С.', 3]]
import sys
vr_out=sys.stdout  #Запоминаем текущий поток вывода
fc=open('Stroka.txt','w') #Откроем файл вывода
sys.stdout=fc #Перенацеливаем стандартный поток вывода на файл
print('запись строки в файл') #Вывод теперь будет не на экран, а в файл
sys.stdout=vr_out  #Восстановление текущего потока
 print('запись строки на экран') #Убеждаемся, что вывод на экран восстановился
 
SyntaxError: unexpected indent
print('запись строки на экран') #Убеждаемся, что вывод на экран восстановился
запись строки на экран
fc.close()
tmp_in = sys.stdin #Запоминаем текущий поток ввода
fd = open("Stroka.txt", "r") #Открываем файл для ввода (чтения)
sys.stdin = fd #Перенацеливаем ввод на файл вместо клавиатуры
sys.stdin
<_io.TextIOWrapper name='Stroka.txt' mode='r' encoding='cp1251'>
while True:
    try:
        line = input () #Считываем из файла строку
...         print(line)  # Отображаем считанное
...     except EOFError:
...         break
... 
...     
запись строки в файл
>>>  fd.close()
...  
SyntaxError: unexpected indent
>>> fd.close()
>>> sys.stdin=tmp_in #Не забыть вернуть стандартное назначение для потока ввода
